Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractToolbar

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractToolbar

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIToolbar

    public abstract class AbstractToolbar

extends javax.faces.component.UIComponentBase

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractToolbar()`

Method Summary
`abstract String` | `getHeight()`
`abstract String` | `getItemClass()`
`abstract String` | `getItemSeparator()`
`abstract String` | `getItemStyle()`
`abstract String` | `getOnitemclick()`
`abstract String` | `getOnitemdblclick()`
`abstract String` | `getOnitemkeydown()`
`abstract String` | `getOnitemkeypress()`
`abstract String` | `getOnitemkeyup()`
`abstract String` | `getOnitemmousedown()`
`abstract String` | `getOnitemmousemove()`
`abstract String` | `getOnitemmouseout()`
`abstract String` | `getOnitemmouseover()`
`abstract String` | `getOnitemmouseup()`
`abstract String` | `getWidth()`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractToolbar

    public AbstractToolbar()

Method Detail

### getHeight

    public abstract String getHeight()

### getWidth

    public abstract String getWidth()

### getItemClass

    public abstract String getItemClass()

### getItemStyle

    public abstract String getItemStyle()

### getItemSeparator

    public abstract String getItemSeparator()

### getOnitemclick

    public abstract String getOnitemclick()

### getOnitemdblclick

    public abstract String getOnitemdblclick()

### getOnitemmousedown

    public abstract String getOnitemmousedown()

### getOnitemmouseup

    public abstract String getOnitemmouseup()

### getOnitemmouseover

    public abstract String getOnitemmouseover()

### getOnitemmousemove

    public abstract String getOnitemmousemove()

### getOnitemmouseout

    public abstract String getOnitemmouseout()

### getOnitemkeypress

    public abstract String getOnitemkeypress()

### getOnitemkeydown

    public abstract String getOnitemkeydown()

### getOnitemkeyup

    public abstract String getOnitemkeyup()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.